@import "../../styles/mixin";
@import "../../styles/variables";

.button {
  @include reset-button;

  padding: 8px 16px;
  box-sizing: border-box;

  display: flex;
  align-items: center;

  border-radius: 8px;
  cursor: pointer;

  font-size: 16px;
  color: $white;
  background-color: $black-1;

  &._disabled {
    pointer-events: none;
    opacity: 0.5;
  }

  &._white {
    border: 1px solid $gray-1;
    color: $black-1;
    background-color: $white;

    &:hover {
      background-color: $blue-light;
    }
  }

  &:hover {
    background-color: $black-2;
  }

  &._active {
    background-color: $blue-2;

    &:hover {
      background-color: $blue-1;
    }
  }
}